Bug 1063751 - [RFE] improve displaying information on Labels in Setup Host Networks dialog
Summary: [RFE] improve displaying information on Labels in Setup Host Networks dialog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.4.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Alona Kaplan
QA Contact: Meni Yakove
URL:
Whiteboard:
Depends On:
Blocks: 1275130
TreeView+ depends on / blocked
 
Reported: 2014-02-11 11:35 UTC by Martin Pavlik
Modified: 2016-03-09 20:43 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1275130 (view as bug list)
Environment:
Last Closed: 2016-03-09 20:43:33 UTC
oVirt Team: Network
nyechiel: Triaged+


Attachments (Terms of Use)
screenshot 1 (158.82 KB, image/png)
2014-02-11 11:35 UTC, Martin Pavlik
no flags Details
mock-up: new design for Setup Host Networks dialog (130.89 KB, image/png)
2015-02-23 19:21 UTC, Einav Cohen
no flags Details
Latest Host Network Configuration (132.86 KB, image/png)
2015-03-27 18:08 UTC, Liz
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 38773 master NEW webadmin: Change Setup Networks label mechanism Never

Description Martin Pavlik 2014-02-11 11:35:24 UTC
Created attachment 861773 [details]
screenshot 1

Description of problem:

After opening Setup Host Network dialog user should be able to tell immediately which interfaces have labels on them and which labels those are.

It would be nice to have an icon next to the interface icon which would indicate that an interface has a label on itself. After hoovering over this icon list of applied label/s would display as a tooltip.

See screenshot.

Comment 2 Einav Cohen 2015-02-23 19:21:17 UTC
Created attachment 994475 [details]
mock-up: new design for Setup Host Networks dialog

Comment 3 Einav Cohen 2015-02-23 19:23:29 UTC
we already have a new design for the Setup Host Networks dialog as can be seen in attachment 994475 [details]. 
This design includes a very nice visualization of Networks that are associated with labels, however it doesn't contain any visualization for NICs that are associated with labels, as far as I could see. 
need to work with the UXD team in order to design this (assuming indeed no design for this exists yet).

Comment 4 Liz 2015-03-27 18:08:45 UTC
Created attachment 1007424 [details]
Latest Host Network Configuration

Comment 5 Liz 2015-03-27 18:09:35 UTC
@Martin - We've updated the design to include the label icon on the NIC level (See attachment 1007424 [details]). Does this meet the requirement you had in mind?

Comment 7 Michael Burman 2015-08-23 09:13:13 UTC
Verified on - 3.6.0-0.12.master.el6

Comment 9 errata-xmlrpc 2016-03-09 20:43:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.